{% extends 'baseejemplos.html' %}

{% load static %}

{% block styles %}
<link rel="stylesheet" href="{% static 'css/ejemplos.css' %}" type="text/css" media="all">
<link rel="stylesheet" href="{% static 'css/highlight/dark.css' %}" type="text/css" media="all">
{% endblock styles %}

{% block header %}
<ul class="left">
    <li><a href="{% url 'operadores_app:ejemplo1' %}">Ejemplo 1</a></li>
    <li><a href="{% url 'operadores_app:ejemplo2' %}">Ejemplo 2</a></li>
    <li><a href="{% url 'operadores_app:ejemplo3' %}">Ejemplo 3</a></li>
    <li><a href="{% url 'operadores_app:ejemplo4' %}">Ejemplo 4</a></li>
    <li><a href="{% url 'operadores_app:ejemplo5' %}">Ejemplo 5</a></li>
    <li><a href="{% url 'operadores_app:ejemplo6' %}">Ejemplo 6</a></li>
</ul>
<ul class="right">
    <li>
        <a href="{% url 'operadores_app:operadores' %}"><img src="{% static 'im/regreso.png' %}" class="mr-2">Regresar</a>
    </li>
</ul>
{% endblock header %}    

{% block content %}
<div class="row mx-auto content" id="content">
    <div class="col-md-12">
        <br>
        <br>
        <br>
    </div>
</div>
<section id="section">
    <div class="row mx-auto">
        <div class="col-md-12 text-center">
            <h1>Ejemplo #1</h1>
        </div>
    </div>
    <hr><br>
    <div class="row mx-auto" id="explain">
        <div class="col-md-8" id="enunciado">
            <h2>Enunciado</h2>
            <br>
            <p>
                Desarrolle un programa que pida al usuario que ingrese un número por teclado y que este tenga como 
                salida el triple del número ingresado. 
            </p>
            <br>
            <button href="#" id="empezar" class="btn btn-open2">Empezar proyecto</button>
        </div>
    </div>
    <div class="row mx-auto content desactivate" id="desarrollo">
        <div class="mx-auto col-md-5 mod1">
            <h3 class="text-center">Solución</h3>
            <pre id="code">
                <code class="language-c++">
    <span style="color: blue;">1 </span><span>numero = inpput('Ingrese un número: ');</span>
    <span style="color: blue;">2 </span><span>triple = numero * 3;</span>
    <span style="color: blue;">3 </span><span id="cont-higlight1" class="line-higlight"><span id="linea-higlight1"> </span><span id="linea-1" class="desactivate"> disp(triple)</span></span>
                </code>
            </pre>
            <br>
            <div class="text-center desactivate" id="explain-code">
                <button href="#" id="code-explain" class="btn btn-open2">Explicar código</button>
            </div>
        </div>
        <div class="mx-auto col-md-5 desactivate mod1" id="explicacion">
            <h3 class="text-center">Explicación</h3>
            <pre>
                <code class="language-c++">
    <span style="color: blue;"> 1 </span><span>Se almacena en la variable número lo que ingrese el usuario por teclado.</span>
    <span style="color: blue;"> 2 </span><span>Ahora se almacena en la variable triple, la multiplicación del valor guardado en la varible número por tres.</span>
    <span style="color: blue;"> 3 </span><span>Por último, se muestra por pantalla el resultado de dicha multiplicación.</span>
                </code>
            </pre>
            <br>
            <div class="text-md-center">
                <button href="#" class="btn btn-open2" id="reiniciar">Reiniciar</button>
            </div>
        </div>
    
    
        <div class="mx-auto col-md-5 mod1 text-center" id="form">
            <h3 id="linea">Linea #</h3>
            <br>
            <p id="explain_code" class="text-center"></p>
            <br>
            <form id="formulario" class="" action="">
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="select" id="select1" value="1" checked>
                    <label class="form-check-label" for="select1" id="label1">
                    </label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="select" id="select2" value="2">
                    <label class="form-check-label" for="select2" id="label2">
                    </label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="select" id="select3" value="3">
                    <label class="form-check-label" for="select3" id="label3">
                    </label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="select" id="select4" value="4">
                    <label class="form-check-label" for="select4" id="label4">
                    </label>
                </div>
                <br><br>
                <button type="submit" class="btn btn-open2">Probar</button>
            </form>
        </div>
    
        <div class="desactivate mx-auto col-md-5 mod1 text-center" id="felicitacion">
            <h3>Felicitaciones</h3>
            <br>
            <p id="congratulation"></p>
            <br>
            <div id="siguiente_botones">
                <button href="#" class="btn btn-open2" id="sig_">Siguiente</button>
            </div>
        </div>
    </div>
    <div class="row mx-auto content desactivate" id="finish">
        <div class="mx-auto col-md-5">
            
        </div>
    </div>
</section>
{% endblock content %}
    
{% block scripts %}
<script>
    var cont = 1,
        num_total = 3

    var lineas = {
        '1': {
            'line_code':3,
            'correct_line':1,
            'congratulation':'Para mostrar por pantalla una variable, se debe utilizar el comando disp() y como argumento el nombre de la variable que se va a mostrar. Siempre recordar que se debe finalizar con un punto y coma.',
            'explaincode':'Se debe mostrar en pantalla el resultado de multiplicar el número ingresado por tres, ¿Qué línea de código viene aquí?',
            'values':['temperatura = analogRead(SensorTemperatura);','temperatura = analogRead(SensorTemperatura)','temperatura = analogRead();','analogRead(SensorTemperatura);']
        }
    }

    var addLinesInitial = () => {
        $('#linea').text('Linea #' + lineas[cont].line_code)
        $('#explain_code').text(lineas[cont].explaincode)
        for (let i = 0; i < 4; i++) {
            var identificador = '#label'+ (i+1)
            const element = lineas[cont].values[i]
            $(identificador).text(element)
        }
    }

    $('#empezar').on('click', (e) => {
        e.preventDefault() //Para que al dar click no se recargue la pagina
        $('#explain').addClass('desactivate')
        $('#desarrollo').removeClass('desactivate')
        addLinesInitial()
    })

    $('#formulario').submit((e) =>  {
        e.preventDefault()
        var line = $('input[name="select"]:checked').val(),
            line_higlight = '#linea-higlight'+cont,
            line_activate = '#linea-'+cont,
            cont_higlight = '#cont-higlight'+cont

        if(lineas[cont].correct_line == parseInt(line)){
            $(line_higlight).toggle('')
            $(line_activate).toggle('')
            $('#formulario')[0].reset()
            cont++
            if(cont <= num_total){
                addLinesInitial()
                $(cont_higlight).removeClass('line-higlight')
                $('#congratulation').text(lineas[cont-1].congratulation)
            }else{
                $(cont_higlight).removeClass('line-higlight')
                // $('#form').toggle('')
                $('#explain-code').toggle('')
                $('#siguiente_botones').toggle('')
                $('#congratulation').text(lineas[cont-1].congratulation)
            }
            $('#felicitacion').toggle('')
            $('#form').toggle('')
        }else{
            alert("¿Estas seguro?... revisa bien")
        }
    })

    $('#sig_').on('click', (e) => {
        e.preventDefault()
        $('#form').toggle('')
        $('#felicitacion').toggle('')
    })

    $('#code-explain').on('click', (e) => {
        e.preventDefault()
        $('#explain-code').toggle('')
        $('#explicacion').toggle('')
        $('#felicitacion').toggle('')
    })

    $('#reiniciar').on('click', (e) => {
        e.preventDefault()
        location.reload()
    })
</script>
{% endblock scripts %}